Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/OGR

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21398

Description

The output SR is compulsory (without it it silently fails): better use the input SR as a default, and in any case warn the user.

History

#1 - 2016-01-18 01:09 AM - Alexander Bruy

- Status changed from Open to Feedback

Works fine in master. CRS copied from source layer, I can add imported layer and QGIS does not ask for CRS.

#2 - 2016-01-19 04:15 AM - Paolo Cavallini

Just checked: if I do not choose an Output SRS the layer is not imported, and no warning is given to the user. If I choose it, equal to the SRS of the input

layer, it goes fine.

#3 - 2016-04-09 11:55 PM - Giovanni Manghi

- Assignee set to Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2016-10-18 03:13 AM - Sandro Santilli

- Assignee changed from Giovanni Manghi to Sandro Santilli

- Status changed from Open to Feedback

Paolo could you test with a current version, either from release-2_14 or master_2 ?

If you can still reproduce, can you give exact steps (which input format, with which srs etc)

#5 - 2017-01-02 06:36 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Assignee changed from Sandro Santilli to Giovanni Manghi

- Affected QGIS version changed from 2.10.1 to 2.18.2

#6 - 2017-02-10 07:42 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented
working on master with alexbruy here. It is actually not possible to retrieve the source crs at the moment, so made that parameter mandatory (and now in

master a nice working in the processing tool gui is shown). In the next future it would be possible to retrieve that parameter, at that time a feature request

can be filed

https://github.com/qgis/QGIS/pull/4132
